cURL
curl --request GET \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs/{hubId}/users/{userId} \
--header 'Authorization: <api-key>'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs/{hubId}/users/{userId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/hubs/{hubId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"next": "<string>",
"prev": "<string>",
"items": [
{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hubId": "<string>",
"activePublishInfo": {
"id": "<string>",
"taskId": "<string>",
"lastEventId": "<string>",
"listeners": [
{
"id": "<string>",
"appNodeId": "<string>",
"operationNodeId": "<string>",
"url": "<string>",
"contentType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"security": {},
"additionalHeaders": {},
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"recentPublishHistory": [
{
"id": "<string>",
"taskId": "<string>",
"lastEventId": "<string>",
"listeners": [
{
"id": "<string>",
"appNodeId": "<string>",
"operationNodeId": "<string>",
"url": "<string>",
"contentType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"security": {},
"additionalHeaders": {},
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"tags": {},
"thumbnailUrl": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}hubs
Get organisations hubs users
Retrieves a pagniated list of boards belonging to a given user and hub.
GET
/
organisations
/
{organisationId}
/
hubs
/
{hubId}
/
users
/
{userId}
cURL
Authorizations
Query Parameters
Pattern:
^([^:,]+:[^:,]+)(,[^:,]+:[^:,]+)*$⌘I